<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName%3AGET</id>
		<title>Accounts-accountNumber-web-domainName-aliases-AliasDomainName:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName:GET&amp;action=history"/>
		<updated>2026-04-15T08:54:05Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName:GET&amp;diff=1903&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 100</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName:GET&amp;diff=1903&amp;oldid=prev"/>
				<updated>2014-11-19T05:11:49Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 100&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 05:11, 19 November 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName:GET&amp;diff=1902&amp;oldid=prev</id>
		<title>Jerry.dimitrov: /* Parameters */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-aliases-AliasDomainName:GET&amp;diff=1902&amp;oldid=prev"/>
				<updated>2014-11-06T12:25:01Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Parameters&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/{accountNumber}/web/{domainName}/aliases/{aliasDomainName} =&lt;br /&gt;
Returns details of the domain name alias.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountNumber}/web/{domainName}/aliases/{aliasDomainName}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; accountNumber - ''string''&lt;br /&gt;
: The user account to which the domain name and the domain name alias belong&lt;br /&gt;
&lt;br /&gt;
; domainName - ''string''&lt;br /&gt;
: The target domain name (domain name under which the site is actually hosted)&lt;br /&gt;
&lt;br /&gt;
; aliasDomainName - ''string''&lt;br /&gt;
: The domain name that will act as alias to the target domain&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    billingStatus: &amp;quot;{billingStatus}&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;http://{server_name}/accounts/{accountNumber}/web/{domainName}/aliases/{aliasDomainName}&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
:; billingStatus - ''string''&lt;br /&gt;
:: Current status of the domain name alias. Available values are '''pending''', '''open''', '''suspended''', '''close_pending''', '''closed'''&lt;br /&gt;
:: '''pending''' means that the alias is still in the process of being provisioned. '''open''', '''suspended''', '''closed''' and '''close_pending''' means the alias is fully provisioned and usable.&lt;br /&gt;
&lt;br /&gt;
:; links - ''list''&lt;br /&gt;
:: [[Hypermedia|Hypermedia]] for this resource&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authenticated user is not allowed to access this resource&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name or the domain name alias do not exist for the account&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successful retrieving domain name alias ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/test-account/web/test.com/aliases/test-alias.com&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    billingStatus: &amp;quot;open&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/test-account/web/test.com/aliases/test-alias.com&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Web API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	</feed>